/*
Theme Name:   HCS Child Theme - Twenty Twenty-Four
Theme URI:    http://example.com/twenty-twenty-four-child
Description:  HCS Child theme for the Twenty Twenty-Four theme
Author:       NIJESH
Template:     twentytwentyfour
Version:      1.0.0
*/

/* Import parent theme styles */
/*@import url("../twentytwentyfour/style.css");*/

/* lead gen page css start */


/* lead gen page css end */

/* Desktop: 4 columns */
.custom-grid {
  display: grid;
  grid-template-columns: repeat(4, 1fr);
  gap: 20px;
}

*{
  box-sizing: border-box;
}

/* Tablet: 2 columns */
@media (max-width: 1024px) {
  .custom-grid {
    grid-template-columns: repeat(2, 1fr);
  }
}

/* Mobile: 2 columns */
@media (max-width: 600px) {
  .custom-grid {
    grid-template-columns: repeat(2, 1fr);
  }
  .mobile-icon img {
    width: 40px;    /* your desired size */
    height: 40px;   /* keeps it square */
    object-fit: contain;
  }
}

body.page-mlp-landing-page .has-global-padding {
    background-color: red !important;
}
/* MLP Landing page styles -- start -- */

/* Base styles for all devices (e.g., mobile-first approach) */

@import url('https://fonts.googleapis.com/css2?family=Roboto:ital,wght@0,100..900;1,100..900&display=swap');

html * {
  font-family: 'Roboto', sans-serif !important;
}
body {
  font-size: 16px;
}
html, body {
  font-family: 'Roboto', sans-serif;
  line-height: 1.5;
}
.position-relative{
	position : relative;
}
.paragraph-500{
	font-weight : 500!important;
}
.hero-image img{
    position: absolute;
    bottom: 0px;
}
.bg-transparent{
	background-color: rgba(255, 255, 255, 0.3) !important;
}
.color-dark-cyan{
	color : #1F6272!important;
}
.btn-cta{
	background-color : #1F6272;
	border : 25px;
	font-size : 16px;
	font-family : 'Roboto';
	color : #ffffff;
}
.right-watermark-section {
    background-position: top right;
    background-size: contain !important;
    background-repeat: no-repeat;
}
.left-watermark-section {
    background-position: top left;
    background-size: contain !important;
    background-repeat: no-repeat;
}
  /* the slides */
  .slick-slide {
    margin-left:27px;
  }

  /* the parent */
  .slick-list {
    margin-left:-27px;
  }
  
.faq-details.landing summary {
    color: #28978C;
}
.faq-details.landing p {
    color: #000000;
}
.faq-details.landing summary:after {
    background: #D2F3EF;
    color: #28978C;
}
.faq-details.landing {
    display: block !important;
    max-width: 100% !important;
    background: #ffffff;
    border-radius: 8px;
    padding: 16px;
}
@media only screen and (max-width: 600px) {
  /* or target your wrapper specifically if it's inside the columns */
  body .wp-block-columns.is-not-stacked-on-mobile {
    flex-wrap: wrap !important;
  }
}
/* Medium devices (tablets, up to 991px wide) */
@media only screen and (max-width: 991px) {
 
}

/* Extra small devices (phones, up to 600px wide)*/
@media only screen and (max-width: 600px) {
	.hero-title-wrapper {
		flex-direction: column;
		align-items: flex-start;
		justify-content: center;
		min-height: auto !important;
		padding-right: 35% !important;
	}
	.hero-section {
    	padding-bottom: 0px ! Important;
		padding-top: 80px!important;
	}
	.hero-image img {
		width: 229px!important;
		right: 0;
	}
	.icon-card-wrapper{
		display: flex!important;
		z-index: 1;
		position: relative;
	}
	.icon-card {
     display: flex!important;
	 padding: 0 0 0 10px ! Important;
	}
	.icon-card img{
     width: 32px;
	}
	.icon-card p{
     font-size: 12px!important;	
	 font-weight: 500;
	}
	.info-card-wrapper{
	   flex-wrap: wrap!important;
	}
	.info-card{
		flex: 46% ! Important;
	    flex-basis: 46% !important;

	}
	.info-card .wp-block-media-text__media img{
		width : 64px;
	}
	.info-card .wp-block-media-text{
		padding-top: 16px!important;
		padding-bottom: 8px!important;
	}
	.counter-card-wrapper{
		flex-wrap: wrap!important;
	}
	.counter-card{
        flex-basis: 120px!important;
    }
	 .wp-block-columns:not(.is-not-stacked-on-mobile)>.wp-block-column.counter-card {
        flex-basis: 120px!important;
    }
}

/* @media (min-width: 320px) and (max-width: 480px) {
  
} */


/** FAQ **/
/*.faq-section{ padding-bottom:30px; padding-top:30px; }*/
 
 
.faq-details details[open] summary::after {
  content: '-';
}
 
.faq-details{ display:block !important; max-width:100% !important; }
	/* .faq-details .wp-block-column{ margin-bottom:12px; } */
	.faq-details details{ border-radius:4px; }
	.faq-details summary { color:#2e4d7d; font-weight: 600; font-size: 20px; list-style:none; position:relative; padding-right:30px; }
	.faq-details details p{ font-size:16px; font-weight:normal; }
	.faq-details summary + p{ border-top:1px solid #c9c9c9;     margin-top: 5px; padding-top: 10px; }
	.faq-details summary:focus{ outline:none !important; }
	.faq-details summary::-webkit-details-marker {
	  display: none;
	}
	.faq-details summary:after{ content:'+'; display:block; position:absolute; right:0; top:5px; background:#d6e4fe; padding:5px; border-radius:2px; width:22px; height:22px; line-height:22px; color:#4d6a96; font-size:22px; font-weight:normal; text-align: center;}

 
 
/* Small Mobile (up to 480px) */
@media screen and (max-width: 480px) {

/*.faq-section{padding-top: 0px !important;}*/
 
}
/** FAQ **/

/** Read More or Less**/
.show-less {
    max-height: 0px;         /* collapsed height increase or decrease as needed*/
    overflow: hidden;        /* hide remaining content */
    transition: max-height 0.4s ease; /* smooth expansion */
	opacity:0.5;
}

.show-more {
    max-height: 1000px;      /* large enough to show all content */
	opacity:1;
}

/** Read More or Less**/
.navbar {
  position: absolute;
  transition: background 0.3s ease, backdrop-filter 0.3s ease;
  z-index: 999;
}

.slider-section.wp-block-columns {
  display: block !important;
}

.slider-section .wp-block-column {
  flex: none !important;
}


